Subject: bug#7127: 23.2; M-x help throws an error

From: Ken Brown <[email-masked]>
Date: Wed, 29 Sep 2010 14:58:57 -0400

On 9/29/2010 1:07 PM, Glenn Morris wrote:
> Ken Brown wrote:
>
>> This turns out not to be so easy.  That patch is intertwined with a
>> lot of changes to the build system that were made only in the trunk,
>> so there's no way to quickly test whether that patch is relevant to
>> the present bug.
>
> Would this have the same effect?
>
> *** src/s/cygwin.h	2010-01-13 08:35:10 +0000
> --- src/s/cygwin.h	2010-09-29 17:04:58 +0000
> ***************
> *** 104,109 ****
> --- 104,110 ----
>    #define PENDING_OUTPUT_COUNT(FILE) ((FILE)->_p - (FILE)->_bf._base)
>    #define SYSV_SYSTEM_DIR 1
>    #define UNEXEC unexcw.o
> + #define START_FILES pre-crt0.o
>    #define POSIX_SIGNALS 1
>    #define LINKER $(CC)

That's the first thing I tried, but emacs wouldn't compile because of an 
undefined reference in src/sysdep.c.  So I patched that.  Then emacs 
wouldn't compile because of an undefined reference in src/vm-limit.c. 
That's when I decided that it might not be worth the trouble to put more 
time into this.  I'd also be a little worried about what side-effects 
might result from selectively backporting changes to the build system.

Ken